import {Component, EventEmitter, Input, Output} from '@angular/core';
import {DatePipe} from "@angular/common";
import {addDays, weekInYear} from "@progress/kendo-date-math";
import {MatButton} from "@angular/material/button";
import {MatIcon} from "@angular/material/icon";
import {MatBadge} from "@angular/material/badge";

@Component({
  selector: 'app-table-header',
  standalone: true,
  imports: [
    MatBadge,
    MatIcon,
    MatButton,
    DatePipe
  ],
  templateUrl: './table-header.component.html',
  styleUrl: './table-header.component.css'
})

export class TableHeaderComponent {
  @Input() startWeek!: Date;
  @Input() startTerm!: Date;
  @Output() weekEvent: EventEmitter<boolean | null> = new EventEmitter<boolean | null>();

  currentWeek(): number {
    return (weekInYear(this.startWeek) - weekInYear(this.startTerm)) + 1;
  }

  canBefore(): boolean {
    return this.currentWeek() > 1;
  }

  protected readonly addDays = addDays;
}
